$!************************************************************************
$! This is a modified version of the original tserver_tcpshr_install.com
$! that comes with the v2.2 server. It just inserts an extra check in to
$! see if SSL is being used, and if so takes appropriate action
$! (see criteria below).
$!
$! Dean Batten (d.batten@its.unimelb.edu.au) 4-Mar-1997
$!************************************************************************
$!
$! Install appropriate tserver_tcpshr image.  First make list of tserver_*
$! images in www_system (abort early if none), then choose appropriate
$! image.
$!
$ flist = ""
$ next_file:
$    image = f$search("www_system:tserver_*.exe;")
$    flist = flist + "," + f$parse(image,,,"NAME")
$    if image .nes. "" then goto next_file
$ if flist .eqs. "," then exit		! empty list.
$ flist = flist + ","
$ show symbol flist
$!
$!  Search for first image that meets criteria for selection:
$!      1. tserver_ssl.exe, if present, and logical SSLLIB is defined,
$!         means that SSL is being used.
$!	2. tserver_tcpshr.exe, if present, is used unconditionally (allows
$!	   sysadmin to choose image by copying appropriate image.
$!	3. tserver_multinetp.exe, if present and logical name
$!	    multinet_socket_library (shareable image dependancy).
$!	4. tserver_ucxtcp.exe, if present.
$!	5. first tserver_* image found.
$!
$ flist_len = f$length(flist)
$ tserver_logical = "tserver_tcpshr"
$!
$ if f$locate(",TSERVER_SSL,",flist) .lt. flist_len .and. -
        f$trnlnm("SSLLIB") .NES. ""
$ then
$    tserver_logical = "tserver_ssl_transport"
$    action = "add"
$    if f$file("WWW_SYSTEM:TSERVER_SSL.EXE","KNOWN") then action = "replace"
$    define/sys/exec tserver_tcpshr WWW_SYSTEM:TSERVER_SSL.EXE
$    install 'action' WWW_SYSTEM:TSERVER_SSL.EXE
$    if f$search("WWW_SYSTEM:SSL_ENGINE.EXE") .nes. ""
$    then
$	action = "add"
$	if f$file("WWW_SYSTEM:SSL_ENGINE.EXE","KNOWN") then action = "replace"
$	install 'action' WWW_SYSTEM:SSL_ENGINE.EXE/PRIV=(SYSNAM)
$    endif
$ endif
$!

$ if f$locate(",TSERVER_TCPSHR,",flist) .lt. flist_len
$ then
$    tserver_image = "WWW_SYSTEM:TSERVER_TCPSHR.EXE"
$    goto install_image
$ endif
$!
$ if f$locate(",TSERVER_MULTINET,",flist) .lt. flist_len .and. -
	f$trnlnm("MULTINET_SOCKET_LIBRARY") .NES. ""
$ then
$    tserver_image = "WWW_SYSTEM:TSERVER_MULTINET.EXE"
$    goto install_image
$ endif
$!
$ if f$locate(",TSERVER_UCXTCP,",flist) .lt. flist_len 
$ then
$    tserver_image = "WWW_SYSTEM:TSERVER_UCXTCP.EXE"
$    goto install_image
$ endif
$!
$ tserver_image = "WWW_SYSTEM:" + f$element(1,",",flist) + ".EXE"
$!
$ install_image:
$ action = "add"
$ if f$file(tserver_image,"KNOWN") then action = "replace"
$ define/sys/exec 'tserver_logical' 'tserver_image
$ install 'action' 'tserver_image'
